"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeForeignAddressSeeds = void 0;
const sdk_connect_1 = require("@wormhole-foundation/sdk-connect");
const sdk_aptos_1 = require("@wormhole-foundation/sdk-aptos");
const foreignAddressSeedLayout = [
    { name: "tokenBridgeAddress", ...sdk_connect_1.layoutItems.universalAddressItem },
    { name: "chain", ...sdk_connect_1.layoutItems.chainItem() },
    {
        name: "domainSeparator",
        binary: "bytes",
        custom: sdk_connect_1.encoding.bytes.encode(sdk_aptos_1.APTOS_SEPARATOR),
        omit: true,
    },
    { name: "tokenId", ...sdk_connect_1.layoutItems.universalAddressItem },
    // from https://github.com/aptos-labs/aptos-core/blob/25696fd266498d81d346fe86e01c330705a71465/aptos-move/framework/aptos-framework/sources/account.move#L90-L95
    { name: "domainSeparator", binary: "bytes", custom: new Uint8Array([0xff]), omit: true },
];
const serializeForeignAddressSeeds = (data) => sdk_connect_1.layout.serializeLayout(foreignAddressSeedLayout, data);
exports.serializeForeignAddressSeeds = serializeForeignAddressSeeds;
//# sourceMappingURL=foreignAddress.js.map